SAXONICA

Saxon Documentation
Full Contents
About Saxon
Changes in this Release
Notices
Using XSLT 2.0
Using XQuery
Handling Source Documents
XML Schema Processing
XPath API for Java
Saxon on .NET
Extensibility
Saxon Extensions
Sample Saxon Applications
The Saxon SQL Extension
XSLT Elements
XPath 2.0 Expression Syntax
Function Library
Standards Conformance

# fn:codepoints-to-string

fn:codepoints-to-string(integer* codes) → string

Function signature

$codes | xs:integer *
Result | xs:string

Converts a sequence of integers representing Unicode characters to the corresponding string. Throws an error if any of the integers doesn't represent a valid XML character. The set of valid XML characters depends on whether XML 1.0 or 1.1 is the chosen version in the Configuration.

XPath 2.0 Specification

Next